# Uses of Class
com.fasterxml.jackson.core.JsonFactory

Packages that use JsonFactory
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.format
Package that contains interfaces needed for dynamic, pluggable format (auto)detection; as well as basic utility classes for simple format detection functionality.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonFactory in com.fasterxml.jackson.core

Classes in com.fasterxml.jackson.core with type parameters of type JsonFactory
Modifier and Type
Class
Description
`class`
`TSFBuilder<F extends JsonFactory,B extends TSFBuilder<F,B>>`
Since 2.10, Builder class is offered for creating token stream factories with difference configurations: with 3.x they will be fully immutable.
Methods in com.fasterxml.jackson.core that return JsonFactory
Modifier and Type
Method
Description
`JsonFactory`
JsonFactoryBuilder.`build()`
`final JsonFactory`
JsonFactory.`configure(JsonFactory.Feature f, boolean state)`
Deprecated.
since 2.10 use `TSFBuilder.configure(JsonFactory.Feature, boolean)` instead
`final JsonFactory`
JsonFactory.`configure(JsonGenerator.Feature f, boolean state)`
Method for enabling or disabling specified generator feature (check `JsonGenerator.Feature` for list of features)
`final JsonFactory`
JsonFactory.`configure(JsonParser.Feature f, boolean state)`
Method for enabling or disabling specified parser feature (check `JsonParser.Feature` for list of features)
`JsonFactory`
JsonFactory.`copy()`
Method for constructing a new `JsonFactory` that has the same settings as this instance, but is otherwise independent (i.e.
`JsonFactory`
JsonFactory.`disable(JsonFactory.Feature f)`
Deprecated.
since 2.10 use `TSFBuilder.configure(JsonFactory.Feature, boolean)` instead
`JsonFactory`
JsonFactory.`disable(JsonGenerator.Feature f)`
Method for disabling specified generator feature (check `JsonGenerator.Feature` for list of features)
`JsonFactory`
JsonFactory.`disable(JsonParser.Feature f)`
Method for disabling specified parser features (check `JsonParser.Feature` for list of features)
`JsonFactory`
JsonFactory.`enable(JsonFactory.Feature f)`
Deprecated.
since 2.10 use `TSFBuilder.configure(JsonFactory.Feature, boolean)` instead
`JsonFactory`
JsonFactory.`enable(JsonGenerator.Feature f)`
Method for enabling specified generator features (check `JsonGenerator.Feature` for list of features)
`JsonFactory`
JsonFactory.`enable(JsonParser.Feature f)`
Method for enabling specified parser feature (check `JsonParser.Feature` for list of features)
`JsonFactory`
ObjectCodec.`getFactory()`
Accessor for finding underlying data format factory (`JsonFactory`) codec will use for data binding.
`JsonFactory`
ObjectCodec.`getJsonFactory()`
Deprecated.
Use `ObjectCodec.getFactory()` instead.
`JsonFactory`
JsonFactory.`setCharacterEscapes(CharacterEscapes esc)`
Method for defining custom escapes factory uses for `JsonGenerator`s it creates.
`JsonFactory`
JsonFactory.`setCodec(ObjectCodec oc)`
Method for associating a `ObjectCodec` (typically a `com.fasterxml.jackson.databind.ObjectMapper`) with this factory (and more importantly, parsers and generators it constructs).
`JsonFactory`
JsonFactory.`setErrorReportConfiguration(ErrorReportConfiguration src)`
Method for overriding `ErrorReportConfiguration` defined for this factory.
`JsonFactory`
JsonFactory.`setInputDecorator(InputDecorator d)`
Deprecated.
Since 2.10 use `TSFBuilder.inputDecorator(InputDecorator)` instead
`JsonFactory`
JsonFactory.`setOutputDecorator(OutputDecorator d)`
Deprecated.
Since 2.10 use `TSFBuilder.outputDecorator(OutputDecorator)` instead
`JsonFactory`
JsonFactory.`setRecyclerPool(RecyclerPool<BufferRecycler> p)`
`JsonFactory`
JsonFactory.`setRootValueSeparator(String sep)`
Method that allows overriding String used for separating root-level JSON values (default is single space character)
`JsonFactory`
JsonFactory.`setStreamReadConstraints(StreamReadConstraints src)`
Method for overriding `StreamReadConstraints` defined for this factory.
`JsonFactory`
JsonFactory.`setStreamWriteConstraints(StreamWriteConstraints swc)`
Method for overriding `StreamWriteConstraints` defined for this factory.
Constructors in com.fasterxml.jackson.core with parameters of type JsonFactory
Modifier
Constructor
Description
`protected`
`JsonFactory(JsonFactory src, ObjectCodec codec)`
Constructor used when copy()ing a factory instance.
``
`JsonFactoryBuilder(JsonFactory base)`
`protected`
`TSFBuilder(JsonFactory base)`

## Uses of JsonFactory in com.fasterxml.jackson.core.format

Fields in com.fasterxml.jackson.core.format declared as JsonFactory
Modifier and Type
Field
Description
`protected final JsonFactory[]`
DataFormatDetector.`_detectors`
Ordered list of factories which both represent data formats to detect (in precedence order, starting with highest) and are used for actual detection.
`protected final JsonFactory`
DataFormatMatcher.`_match`
Factory that produced sufficient match (if any)
Methods in com.fasterxml.jackson.core.format that return JsonFactory
Modifier and Type
Method
Description
`JsonFactory`
DataFormatMatcher.`getMatch()`
Accessor for `JsonFactory` that represents format that data matched.
Methods in com.fasterxml.jackson.core.format with parameters of type JsonFactory
Modifier and Type
Method
Description
`DataFormatMatcher`
InputAccessor.Std.`createMatcher(JsonFactory match, MatchStrength matchStrength)`
Constructors in com.fasterxml.jackson.core.format with parameters of type JsonFactory
Modifier
Constructor
Description
``
`DataFormatDetector(JsonFactory... detectors)`
`protected`
`DataFormatMatcher(InputStream in, byte[] buffered, int bufferedStart, int bufferedLength, JsonFactory match, MatchStrength strength)`
Constructor parameters in com.fasterxml.jackson.core.format with type arguments of type JsonFactory
Modifier
Constructor
Description
``
`DataFormatDetector(Collection<JsonFactory> detectors)`

## Uses of JsonFactory in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util with parameters of type JsonFactory
Modifier and Type
Method
Description
`JsonGenerator`
JsonGeneratorDecorator.`decorate(JsonFactory factory, JsonGenerator generator)`
Allow to decorate `JsonGenerator` instances returned by `JsonFactory`.